Bug 1115805 - Tomcat7 store-config destroys server.xml
Tomcat7 store-config destroys server.xml
Product: JBoss Enterprise Web Server 2
Classification: JBoss
Component: tomcat7 (Show other bugs)
All Unspecified
urgent Severity urgent
: ER04
: 2.1.0
Assigned To: Jean-frederic Clere
Libor Fuka
Depends On:
Blocks: 956509
  Show dependency treegraph
Reported: 2014-07-03 03:29 EDT by Libor Fuka
Modified: 2015-11-01 19:37 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Libor Fuka 2014-07-03 03:29:13 EDT
Description of problem:
The tomcat7-storeconfig-0.0.1.Alpha3-redhat-4.jar in ER4 tomcat7/lib/extra directory completely destroys Tomcat7 server.xml.

It does not happed in ER3 where was a version tomcat7-storeconfig-0.0.1.Alpha3-redhat-3.jar
It also does not happend in ER4 Tomcat6 tomcat6-storeconfig-0.0.1.Alpha3-redhat-12.jar
Comment 2 Libor Fuka 2014-07-03 04:02:27 EDT
Affected bits: http://download.devel.redhat.com/devel/candidates/JBEWS/2.1.0.ER4/

Steps to reproduce:
1. Install and start JON server 3.2.0.GA
2. Install updated Tomcat plugin from BZ 1111666 to JON server 
3. INstall and start JON 3.2.0 agent 
4. Install EWS 2.1.0-ER4
5. Configure Tomcat7 - enable jmx and add storeconfig listener, copy storeconfig jar to tomcat7/lib
6. Start Tomcat7
7. Import it to JON
8. Change configuration of some deployed application (or any connector) and save
Comment 3 Jean-frederic Clere 2014-07-03 04:36:26 EDT
Quicker way to test.
1 - Start Tomcat7
2 - Use jconsole locally and connect to the tomcat process.
3 - Change something in any connector.
4 - Go to StorecCnfig and use storeConfig operation.

[jfclere@jfcpc build]$ ls -lt conf/server.xml
-rw-rw-r--. 1 jfclere jfclere 0 Jul  3 10:31 conf/server.xml
Comment 4 Libor Fuka 2014-07-18 11:02:55 EDT
VERIFIED with EWS 2.1.0-ER4
Comment 5 Mandar Joshi 2014-08-11 08:46:34 EDT
Removing this bz from EWS 2.1 release notes.

Setting the requires_doc_text flag to -

Note You need to log in before you can comment on or make changes to this bug.